Settings
Manage user settings (key-value store).
Endpoints
Section titled “Endpoints”| Method | Path | Description |
|---|---|---|
| GET | /v1/settings | List all settings |
| GET | /v1/settings/:key | Get setting by key |
| PUT | /v1/settings/:key | Update setting |
| DELETE | /v1/settings/:key | Delete setting |
List Settings
Section titled “List Settings”GET /v1/settingscurl https://api.tokenbot.com/v1/settings \ -H "X-API-Key: tb_live_your_key"Get Setting
Section titled “Get Setting”GET /v1/settings/:keyUpdate Setting
Section titled “Update Setting”PUT /v1/settings/:key{ "value": "dark" }curl -X PUT https://api.tokenbot.com/v1/settings/theme \ -H "X-API-Key: tb_live_your_key" \ -H "Content-Type: application/json" \ -d '{"value":"dark"}'Delete Setting
Section titled “Delete Setting”DELETE /v1/settings/:key
